<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
    $q = mysqli_real_escape_string($con,(strip_tags($_REQUEST['q'], ENT_QUOTES)));
    include '../include/pagination.php'; //include pagination file
    $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
    $per_page = 20; 
    $adjacents  = 4; 
    $offset = ($page - 1) * $per_page;


    $per1=mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='19' and estado='Activo' and modp_nombre='En Proceso' ") or die(mysqli_error($con));
    $per1=mysqli_fetch_array($per1);
    if(empty($per1['modp_nombre'])) { $en_proceso='0'; } else { $en_proceso='1'; }

    $per2= mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='19' and estado='Activo' and modp_nombre='Completado' ") or die(mysqli_error($con));
    $per2=mysqli_fetch_array($per2);
    if(empty($per2['modp_nombre'])) { $completado='0'; } else { $completado=$per2['modp_nombre']; }

    $per3=mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='19' and estado='Activo' and modp_nombre='Confirmado' ") or die(mysqli_error($con));
    $per3=mysqli_fetch_array($per3);
    if(empty($per3['modp_nombre'])) { $confirmado='0'; } else { $confirmado=$per3['modp_nombre']; }

    $per4=mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='19' and estado='Activo' and modp_nombre='Facturado' ") or die(mysqli_error($con));
    $per4=mysqli_fetch_array($per4);
    if(empty($per4['modp_nombre'])) { $facturado='0'; } else { $facturado='2'; }



    
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM cotizacion where cot_tipo='PEDIDO' and  (cot_nombre like '%$q%' OR cot_n_cotizacion like '%$q%')  and empresa='$empresa'  ");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = './V_cotizaciones.php';
        $sql="SELECT * FROM cotizacion where cot_tipo='PEDIDO' and  empresa='$empresa' and (cot_nombre like '%$q%' OR cot_n_cotizacion like '%$q%' OR cot_nombre like '%$q%')  order by cot_id desc LIMIT $offset,$per_page";
        $query = mysqli_query($con, $sql);
   
   

    if ($numrows>0){ ?>
        

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th width="5%">Nº</th>
            <th width="10%">FECHA</th>
            <th>CLIENTE</th>
            <th>CONTACTOS</th>
            <th width="5%">PAGO</th>
            <th width="5%">ESTADO</th>
            <th >TOTAL</th>
            <th width="18%"></th>
        </tr>
    </thead>
    <tbody  class="buscar">
    <?php 
        while ($reg=mysqli_fetch_array($query))
        {
            $id=$reg["cot_id"];
            $cot_id=$reg['cot_id'];
            $cot_correo=$reg['cot_correo'];
            $cliente_id=$reg['cliente_id'];
            $cli=mysqli_query($con, "SELECT * from  cliente  where clie_id='$cliente_id'  ");
            $cli1=mysqli_fetch_array($cli);
            $clie_direccion=$cli1["clie_direccion"];
            $clie_barrio=$cli1["clie_barrio"];
            $facturador_cli=$cli1['facturador'];

            $neto=0;
            $total_descuento=0;
            $total_iva=0;
            $total_retencion=0;
            $sumador_articulos=0;

            $ret=mysqli_query($con, "SELECT * FROM retencion_cotizacion where cotizacion_cot_id='$cot_id' ") or die(mysqli_error($con)); 
            $rets=mysqli_fetch_array($ret);
            $ret_porcentaje=!empty($rets['porcentaje']);
            $sql=mysqli_query($con, "SELECT * from cotizacion_detalle where cotizacion_cot_id='$cot_id'");
            while ($row=mysqli_fetch_array($sql))
            {
                $cotd_id=$row["cotd_id"];
                $cotd_referencia=$row['cotd_referencia'];
                $cotd_nombre=$row['cotd_nombre'];
                $cotd_cantidad=$row['cotd_cantidad'];
                $cotd_precio=$row['cotd_precio'];
                if ($row['cotd_iva']>0){ $cotd_iva=$row['cotd_iva']; } else { $cotd_iva='0';}
                if ($row['cotd_desc']>0){ $cotd_descuento=$row['cotd_desc']; } else { $cotd_descuento='0';}

                $iva0=$cotd_iva/100; //0.19
                $iva1=1+$iva0; //1.19

                $precio_total_item=$cotd_precio*$cotd_cantidad;//precio normal 1.000.000
                $precio_total_sin_iva_item=($cotd_precio/$iva1)*$cotd_cantidad; //precio sin iva  840.336
                $descuento_item=($cotd_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
                $total_iva_item=($precio_total_sin_iva_item-$descuento_item)*$iva0; // total iva  159.336

                $neto+=$precio_total_sin_iva_item;
                $total_descuento+=$descuento_item;
                $total_iva+=$total_iva_item;
                $sumador_articulos=($neto+$total_iva)-$total_descuento;
            }

            $sumador_combo=0;
            $sql=mysqli_query($con, "SELECT * from cotizacion_detalle_combo where cot_id='$cot_id'");
            while ($row=mysqli_fetch_array($sql))
            {
                $combo_cantidad=$row["combo_cantidad"];
                $combo_precio=$row["combo_precio"];
                $subtotal=$combo_cantidad*$combo_precio;
                $sumador_combo+=$subtotal;
            }
            $total_retencion+=($neto+$sumador_combo-$total_descuento)*($ret_porcentaje/100);
            $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;
    ?>
        <tr>
            <td><?php  echo $reg['cot_n_cotizacion']; ?></td>
            <td><?php  echo $reg['cot_fecha']; ?> / <?php echo $reg['cot_hora'];?></td>
            <td><?php  if($facturador_cli=='si')
                {
                    echo '<i class="btn-icon-only fa fa-desktop alert-danger" aria-hidden="true" title="facturador electronico"></i>';
                } else 
                {
                    echo '<i class="btn-icon-only alert-danger" aria-hidden="true">&nbsp;&nbsp;&nbsp;&nbsp;</i>';
                }
                ?>
                <?php echo mb_strtoupper($reg['cot_nombre']); ?>
                    
            </td>
            <td> <strong><?php echo $clie_barrio; ?> </strong><p><?php  echo $clie_direccion;  ?> </p>  </td>
            <td>
            <?php
                if($reg['cot_estado']=="Facturado")
                {
                    echo  $estados=' <span class="badgeazul" title=""><i class="btn-icon-only icon-ok"></i>Facturado</span>';
                } elseif ($reg['cot_estado']=="1") {
                   echo  $estados=' <span class="badgerojo" title=""><i class="btn-icon-only icon-ok"></i>Pendiente</span>';
                }
                 else if($reg['cot_estado']=="rechazado")
                {
                    echo  $estados=' <span class="badgegris" title=""><i class="btn-icon-only icon-remove"></i>Rechazado</span>';
                }
                
                ?>
            </td>
            <td>
                 <?php
                if($reg['cot_estado_pedido']=="no confirmado")
                {
                    echo  $estados=' <span class="badgerojo" title=""><i class="btn-icon-only icon-ok"></i>Pendiente</span>';
                }
                else if($reg['cot_estado_pedido']=="confirmado")
                {
                    echo  $estados=' <span class="badgenaranja" title=""><i class="btn-icon-only icon-ok"></i>Confirmado</span>';
                }
                 else if($reg['cot_estado_pedido']=="procesando")
                {
                    echo  $estados=' <span class="badgeamarillo" title=""><i class="btn-icon-only icon-ok"></i>Procesand</span>';
                }
                else if($reg['cot_estado_pedido']=="enviado")
                {
                    echo  $estados=' <span class="badgeverde" title=""><i class="btn-icon-only icon-ok"></i>Enviado</span>';
                }
                else if($reg['cot_estado_pedido']=="entregado")
                {
                    echo  $estados=' <span class="badgeazul" title=""><i class="btn-icon-only icon-ok"></i>Entregado</span>';
                }

                 else if($reg['cot_estado_pedido']=="rechazado")
                {
                    echo  $estados=' <span class="badgegris" title=""><i class="btn-icon-only icon-remove"></i>Rechazado</span>';
                }
                
                ?>

            </td>
            <td><p class="pull-right"><?php echo number_format($sumador_total,0);?></p></td>
            <td>
              <?php if($reg['cot_estado_pedido']<>"rechazado") { ?>
                <div class="btn-group">
                    <button type="button" class="btn btn-xs btn-default dropdown-toggle" data-toggle="dropdown">Accion <span class="caret"></span></button>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#" data-id="<?php echo $id;?>" class="btn-estado">Estado</a></li>
                        <?php if ($reg['cot_estado']=='1') { ?>
                        <li><a href="#facturar<?php echo $reg['cot_id']; ?>" data-toggle="modal" class="btn-Facturar">Facturar</a></li>
                        <?php } ?>
                        <li><a href="" onclick="enviar_email('<?php echo $cot_id;?>','<?php echo $cot_correo;?>')" data-id="<?php echo $cot_id;?>" class="btn-abonar">Enviar por email</a></li>
                            <li class="divider"></li>
                        <li><a href="#verdetalle<?php echo $reg['cot_id']; ?>" data-toggle="modal" >Detalles</a></li>
                         <li><a  href="libraries/tcpdf/documentos/rotulo_cliente.php?clie_id=<?php echo $cliente_id; ?>" target="_blank"  >Rotulo</a></li>
                    </ul>
                </div>
                <?php 
                   // include ('modal_duplicar.php');
                    include ('../php_cotizaciones_online/form_facturar_pedido.php'); 
                    include ('../php_cotizaciones_online/form_detalle.php');
                    //include ('forms_cliente.php');
                    include ('../include/boton_cotizacion.php');
                ?>
                <a href="#" class='btn btn-xs btn-danger' title='Rechazar pedido' onclick="eliminar('<?php echo $reg['cot_id'];?>');" ><i class="btn-icon-only icon-remove"></i></a>
            <?php } else {?>
                <a href="#" class='btn btn-xs btn-danger' title='Eliminar' onclick="eliminar_cot('<?php echo $reg['cot_id'];?>');" ><i class="btn-icon-only icon-remove"></i></a>
            <?php } ?>
            </td>
        </tr>
        <?php }?>
        <tr>
            <td colspan=8>
                <span class="pull-right"> 
                    <?php echo paginate($reload, $page, $total_pages, $adjacents); ?>
                </span>
            </td>
        </tr>
    </table>
<?php } } ?>
<script>
function eliminar (id)
{
    var q= $("#q").val();
    if (confirm("Realmente deseas rechazar el pedido online")){ 
    $.ajax({
        type: "GET",
        url: "php_cotizaciones_online/rechazar_cotizacion.php",
        data: "id="+id,"q":q,
        beforeSend: function(objeto){
        $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
        $("#resultados").html(datos);
        load(1);
    }
    });
    }
}


function eliminar_cot (id)
{
    var q= $("#q").val();
    if (confirm("Realmente deseas eliminar pedido")){ 
    $.ajax({
        type: "GET",
        url: "php_cotizaciones_online/eliminar_pedido.php",
        data: "id="+id,"q":q,
        beforeSend: function(objeto){
        $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
        $("#resultados").html(datos);
        load(1);
    }
    });
    }
}
</script>
<script>
    $(".btn-estado").click(function(){
        id = $(this).data("id");
        $.get("./php_cotizaciones_online/form_estado_online.php","id="+id,function(data){
            $("#form-estado").html(data);
        });
        $('#estado').modal('show');
    });
</script>